using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Spaces;

public partial class PrintCache : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        IDictionaryEnumerator CacheEnum = SpacesContext.Current.Context.Cache.GetEnumerator();
        ArrayList al = new ArrayList();
        while (CacheEnum.MoveNext())
        {
            al.Add(CacheEnum.Key);
        }

        foreach (string key in al)
        {
             SpacesContext.Current.Context.Response.Write(key+"<br/>");
          
              //  SpacesContext.Current.Context.Cache.Remove(key);
        }
    }
}
